package cokr.xit.fims.mngt;

import cokr.xit.fims.cmmn.CmmnQuery;

/**공지사항 정보 조회 요청
*
* <p>상세 설명:
*
* <pre>
* ============ 변경 이력 ============
* 2024-01-02	leebj 최초 작성
* ================================
* </pre>
*/
public class NtcQuery extends CmmnQuery {

	private static final long serialVersionUID = 1L;

	private String cntnSeCd;

	private String userSggCd;

	private String userCntnSeCd;

	public String getCntnSeCd() {
		return ifEmpty(cntnSeCd, () -> null);
	}

	public <T extends NtcQuery> T setCntnSeCd(String cntnSeCd) {
		this.cntnSeCd = cntnSeCd;
		return self();
	}

	public String getUserSggCd() {
		return ifEmpty(userSggCd, () -> null);
	}

	public <T extends NtcQuery> T setUserSggCd(String userSggCd) {
		this.userSggCd = userSggCd;
		return self();
	}

	public String getUserCntnSeCd() {
		return ifEmpty(userCntnSeCd, () -> null);
	}

	public <T extends NtcQuery> T setUserCntnSeCd(String userCntnSeCd) {
		this.userCntnSeCd = userCntnSeCd;
		return self();
	}
}
